Patch For WordPress 2.6 PodPress Problems

Jul 22nd, 2008 | By | Category: Podcasting Software

We reported last week on incompatibilities between Mighty Seek’s PodPress, the popular free podcasting add-on for WordPress, and the recently-announced WordPress 2.6.

Reader Phillip Molly Malone suggests a workaround that’s available at the PodPress forum:

After spending hours digging through the code and looking at the database, I discovered that the problems between podpress 8.8 and WP 2.6 is the new revisions feature. To disable them (and thus maintain compatibility with podpress), just add:

define (‘WP_POST_REVISIONS’, 0);

to your wp-config.php and the problem disappears.

If you haven’t upgraded to WordPress 2.6, and you’re a PodPress user, you’ll want to hold off until a patch is released. If you’ve upgraded already, though, and your install is broken, you may want to give this a try.

Tags: ,

No Responses to “Patch For WordPress 2.6 PodPress Problems”

  1. This is great news! We’ll pass this information on to the Blubrry and TechPodcasts communities. Issues with WordPress 2.6 with Podpress have been a popular topic in the mailing lists over the past week.

  2. Eugene Roberts says:

    Podpress is a bloated piece of software it would be nice if it would just do the basics.

  3. taniaelis says:

    Eugene – it’s open source, isn’t it?

    You could edit the app, take out what you don’t need and make your own version.

  4. Paul says:

    This stupid HELP screwed up my blog.

  5. Paul says:

    got it fixed….it was so my bad….sorry.

  6. I am holding off on the updates until I can sit down and go through the changes.

  7. […] ist das ganze hier: http://www.podcastingnews.com/2008/07/22/patch-for-wordpress-26-podpress-problems/ Dieser Beitrag wurde geschrieben von condor am 23. Jul. 2008 at 21:53 CET und gespeichert unter […]

  8. […] Here’s the link to his fix and I suggest that anyone with a broken podPress 8.8 installed on WordPress 2.6 complete this very easy edit of your wp-config.php file. One little thing to make sure of is that you’re using the correct apostrophe when editing the file. I copy and pasted and the apostrophe used on the fix page isn’t the the right kind. You would do well to type it out manually into wp-config.php, using the apostrophe key that sits to the immediate left of the ‘Enter’ or ‘Return’ key on your standard QWERTY keyboard. […]

  9. this worked like a charm, i even wrote a blog post about it 🙂 one thing for everyone to remember though is to use the correct apostrophe when editing the wp-config.php file. if you simply copy and paste off this page into your config it will break it because this page doesn’t use the same apostrophe you find located to the immediate left of the ‘Enter’ or ‘Return’ key on the standard QWERTY keyboard. instead of copy pasting try editing the file manually and typing it out to ensure you get the editing done right. thanks man! good work!

  10. Mike Lanxess says:

    define (’WP_POST_REVISIONS’, 0);

    didn’t work for me, but

    define(‘WP_POST_REVISIONS’, false);

  11. James Lewin says:

    John

    Thanks for pointing that out. I gave that a try and it worked for me.

  12. […] a wiki feature, appears to conflict with the Podpress plugin’s function. This problem can be overcome by disabling post revisioning, but many people simply upgraded and expected it to work, and have […]

  13. Sami says:

    “Podpress is a bloated piece of software it would be nice if it would just do the basics.”

    Hah What else can be said? 😀

  14. berndt says:

    it worked for me too! It seems that there are no problems for now.

Leave a Reply